#ifndef PLAYERINFO_HPP_INCLUDED
#define PLAYERINFO_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class PlayerInfo : public Object
    {
        public:
            PlayerInfo();
            PlayerInfo(const void* Obj);
            PlayerInfo(const PlayerInfo& P);
            static Class GetClass();

            std::vector<std::int32_t> GetEquipment() const;
            bool GetGender() const;
            std::int64_t GetHash() const;
            std::int64_t GetModelID() const;
            std::int32_t GetNPCModelID() const;

    };
}

#endif // PLAYERINFO_HPP_INCLUDED
